PipeWire 1.2.6

Loading...
Searching...
No Matches
Files | Data Structures | Macros | Functions
Plugin Loader
SPA » Support

SPA plugin loader More...

## Files
file | plugin-loader.h
| `spa/support/plugin-loader.h`

## Data Structures
struct | spa_plugin_loader
struct | spa_plugin_loader_methods

## Macros
#define | SPA_TYPE_INTERFACE_PluginLoader SPA_TYPE_INFO_INTERFACE_BASE "PluginLoader"
#define | SPA_VERSION_PLUGIN_LOADER 0
#define | SPA_VERSION_PLUGIN_LOADER_METHODS 0

## Functions
static struct spa_handle * | spa_plugin_loader_load (struct spa_plugin_loader *loader, const char *factory_name, const struct spa_dict *info)
static int | spa_plugin_loader_unload (struct spa_plugin_loader *loader, struct spa_handle *handle)

## Detailed Description

SPA plugin loader

## Macro Definition Documentation

## ◆ SPA_TYPE_INTERFACE_PluginLoader

#define SPA_TYPE_INTERFACE_PluginLoader SPA_TYPE_INFO_INTERFACE_BASE "PluginLoader"

## ◆ SPA_VERSION_PLUGIN_LOADER

#define SPA_VERSION_PLUGIN_LOADER 0

## ◆ SPA_VERSION_PLUGIN_LOADER_METHODS

#define SPA_VERSION_PLUGIN_LOADER_METHODS 0

## Function Documentation

## ◆ spa_plugin_loader_load()

static struct spa_handle * spa_plugin_loader_load | ( | struct spa_plugin_loader * | loader,
|  | const char * | factory_name,
|  | const struct spa_dict * | info )
| inline static

## ◆ spa_plugin_loader_unload()

static int spa_plugin_loader_unload | ( | struct spa_plugin_loader * | loader,
|  | struct spa_handle * | handle )
| inline static